// RsAnimPlugin.cpp : Implementation of DLL Exports.

#include "stdafx.h"
#include "resource.h"
#include "RpAnimPluginPackage.h"


// The module attribute causes DllMain, DllRegisterServer and DllUnregisterServer to be automatically implemented for you
[ module(dll, uuid = "{9E2C3948-8C32-460D-8447-5762C9D633B6}", 
		 name = "RsAnimPlugin", 
		 helpstring = "RsAnimPlugin 1.0 Type Library",
		 resource_name = "IDR_RSANIMPLUGIN") ]
class CRsAnimPluginModule
{
public:
// Override CAtlDllModuleT members
};
		 

#ifdef __cplusplus    // If used by C++ code, 
extern "C" {          // we need to export the C interface
#endif

	__declspec(dllexport) HRESULT __cdecl GetRosettaPackage(IRsUnknownPackage **ppPackage)
	{
		CComObject<CRpAnimPlugin> *pPackage = NULL;
		HRESULT hRes = CComObject<CRpAnimPlugin>::CreateInstance(&pPackage);
		if (FAILED(hRes))
			return hRes;
		CComQIPtr<IRsUnknownPackage> spPackage = pPackage;
		if (!pPackage)
			return E_NOINTERFACE;
		return spPackage.CopyTo(ppPackage);
	}

#ifdef __cplusplus
}
#endif
